/// <reference types="react" />
import type { SpaceProps } from "styled-system";
export interface DividerProps extends React.HTMLAttributes<HTMLDivElement>, SpaceProps {
    align?: "left" | "right" | "center";
    dashed?: boolean;
    children?: React.ReactNode;
}
export declare const Divider: import("react").ForwardRefExoticComponent<DividerProps & import("react").RefAttributes<HTMLDivElement>>;
