/**
 * Uses state that can operate in controlled and uncontrolled modes.
 */
export declare function useControllableState<S>(value: S | undefined, initialState: S | (() => S)): readonly [S, (val: React.SetStateAction<S>) => void];
