/**
 * Clamps a value between a minimum and maximum.
 */
export function clamp(value) {
  let min = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
  let max = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 1;
  return value < min ? min : value > max ? max : value;
}

/**
 * Rounds a value to a given number of digits.
 */
export function round(number) {
  let digits = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
  let base = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 10 ** digits;
  return Math.round(number * base) / base;
}