/// <reference types="react" />
export interface DebouncerProps {
    value: any;
    onChange: (value: any) => void;
    wait?: number;
    leading?: boolean;
    children: (props: {
        value: any;
        onChange: (value: any) => void;
    }) => React.ReactNode;
}
export declare function Debouncer({ value, onChange, wait, leading, children, }: DebouncerProps): JSX.Element;
export declare namespace Debouncer {
    var displayName: string;
}
