/// <reference types="react" />
import type { Strategy, Placement } from "@floating-ui/react-dom";
export interface FloaterProps extends React.HTMLAttributes<HTMLDivElement> {
    isOpen: boolean;
    anchor?: HTMLElement | null;
    container?: HTMLElement | (() => HTMLElement);
    keepMounted?: boolean;
    matchWidth?: boolean;
    strategy?: Strategy;
    placement?: Placement;
    offset?: number | {
        mainAxis?: number;
        crossAxis?: number;
    };
    style?: React.CSSProperties;
    children?: React.ReactNode;
}
export declare const Floater: import("react").ForwardRefExoticComponent<FloaterProps & import("react").RefAttributes<HTMLElement>>;
