type CounterOptions = {
    value?: any;
    defaultValue?: any;
    onChange?: (val: number, valStr: string) => void;
    min?: number;
    max?: number;
    step?: number;
    precision?: number;
};
/**
 * Uses a numeric counter.
 */
export declare function useCounter(options?: CounterOptions): {
    value: string;
    valueAsNumber: number;
    update: (val: any) => void;
    increment: (step?: number) => void;
    decrement: (step?: number) => void;
    clamp: (val: any) => string;
    cast: (val: any) => void;
};
export {};
