import { useStorage } from "./use-storage";

/**
 * Uses state that syncs with session storage.
 */
export function useSessionStorage(key, initialState) {
  return useStorage(window.sessionStorage, key, initialState);
}